# class Puppet::DataBinding::Variables

A class that acts just enough like a Puppet::Parser::Scope to fool Hiera’s puppet backend. This class doesn’t actually do anything but it does allow people to use the puppet backend with the hiera data bindings withough causing problems.

### Constants

FAKE_CATALOG
FAKE_RESOURCE

### Public Class Methods

new(variable_bindings) click to toggle source

    # File lib/puppet/data_binding.rb, line 20
    def initialize(variable_bindings)
      @variable_bindings = variable_bindings
    end

### Public Instance Methods

[](name) click to toggle source

    # File lib/puppet/data_binding.rb, line 24
    def [](name)
      @variable_bindings[name]
    end

catalog() click to toggle source

    # File lib/puppet/data_binding.rb, line 32
    def catalog
      FAKE_CATALOG
    end

function_include(name) click to toggle source

    # File lib/puppet/data_binding.rb, line 36
    def function_include(name)
      # noop
    end

resource() click to toggle source

    # File lib/puppet/data_binding.rb, line 28
    def resource
      FAKE_RESOURCE
    end